> For the complete documentation index, see [llms.txt](https://docs.kiln.fi/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kiln.fi/v1/kiln-products/validators/protocols/injective-inj.md).

# Injective (INJ)

## Validators

{% tabs %}
{% tab title="Mainnet" %}

<table><thead><tr><th width="145" align="center">Name</th><th align="center">Address</th></tr></thead><tbody><tr><td align="center">Kiln</td><td align="center"><a href="https://www.mintscan.io/injective/validators/injvaloper1vm2gflv53mzy9ak4f8cr9ml3xus980wywe9fx2">injvaloper1vm2gflv53mzy9ak4f8cr9ml3xus980wywe9fx2</a></td></tr><tr><td align="center">Kiln (legacy)</td><td align="center"><a href="https://www.mintscan.io/injective/validators/injvaloper1rf0fczrw2gnhuju86kmjtku4dvf9dcc2mpe7pe">injvaloper1rf0fczrw2gnhuju86kmjtku4dvf9dcc2mpe7pe</a></td></tr></tbody></table>
{% endtab %}
{% endtabs %}

## Overview&#x20;

| Metric                            | Value                                                                                                                                                                                 |
| --------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Stake activation time**         | 1 minute — delegation starts earning in the next reward cycle.                                                                                                                        |
| **Auto-compounding**              | Yes                                                                                                                                                                                   |
| **Unbonding time**                | 7 days for unstaking/withdrawal from the staking account                                                                                                                              |
| **Re-delegating activation time** | Yes, redelegation is possible; delegators can change validators. I would treat the exact transition timing as \~1 minute / epoch                                                      |
| **Rewards frequency**             | Every Epoch - 1 minute                                                                                                                                                                |
| **Minimum Stake**                 | 10,000 HYPE self-stake for the validator                                                                                                                                              |
| **Active set**                    | Yes - 25                                                                                                                                                                              |
| **Slashing**                      | No automatic protocol slashing currently. Validators can, however, face operational consequences such as being unable to participate effectively if they have downtime/latency issues |

## Staking Workflow

<table data-header-hidden><thead><tr><th width="348">Parameter</th><th>Value</th></tr></thead><tbody><tr><td><strong>How does staking work?</strong></td><td>On Cosmos chains such as Injective, token holders choose a validator to delegate a select amount of tokens to. The delegator initiates a delegation transaction, which involves locking their tokens in a smart contract. These tokens are then counted towards the validator's total stake.</td></tr><tr><td><strong>What is the staking process?</strong></td><td>After the delegation has been initiated, INJs are changed to validator shares of the validator you delegate to.</td></tr><tr><td><strong>Do funds move out to another wallet?</strong></td><td>Staked INJs are not part of the balance anymore, but they don’t go to another address.</td></tr><tr><td><strong>Can I keep staking/unstaking from/to the same wallet?</strong> </td><td>Yes, you can increase the staked amount or unstake part of it at anytime.</td></tr><tr><td><strong>Can I select how much of my wallet balance I want to stake?</strong></td><td>Yes, you select the amount of tokens you want to stake to earn rewards.</td></tr><tr><td><strong>How do I unstake?</strong></td><td><p>You can unstake by unbonding your funds. After you initiated the process:<br></p><p>• You stop receiving staking rewards</p><p>• It will take 21 days for the amount to be liquid</p><p>• But you will be able to cancel the unbonding process anytime, as this chain currently supports the function</p></td></tr><tr><td><strong>Can I unstake part of the staked balance?</strong></td><td>Yes, you can select the amount of tokens you want to unstake (this takes 21 days).</td></tr><tr><td><strong>How is my balance computed at epoch N for the rewards distribution?</strong></td><td>The balance computed at block N for the rewards distribution is the balance at block N.</td></tr><tr><td><strong>How is commission paid?</strong></td><td>Comissions are paid to the validator at the same frequency than the reward distribution (every block).</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kiln.fi/v1/kiln-products/validators/protocols/injective-inj.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
